Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	TunePimp is the core of the MusicBrainz Tagger Application	 
Name:		libtunepimp
Version:	0.5.3
Release:	2
License:	GPL
URL:		http://musicbrainz.org/products/tunepimp/download.html
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libofa-devel
BuildRequires:  flac-devel
BuildRequires:  glibc-devel
BuildRequires:  openssl-devel
BuildRequires:  curl-devel
BuildRequires:  expat-devel
BuildRequires:  fftw-devel
BuildRequires:  libidn-devel
BuildRequires:  libmad-devel
BuildRequires:  libmpcdec-devel
BuildRequires:  libmusicbrainz-devel
BuildRequires:  libogg-devel
BuildRequires:  libstdc++-devel
BuildRequires:  taglib-devel
BuildRequires:  libvorbis-devel
BuildRequires:  zlib-devel

%description
TunePimp is the core of the MusicBrainz Tagger Application

%package devel
Summary: 	%{name} development headers.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure --prefix=%_prefix --mandir=%_mandir --disable-debug
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_bindir/puid
%_libdir/libtunepimp.so.*
%_libdir/tunepimp/plugins/*.tpp

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/libtunepimp.la
%_libdir/libtunepimp.a
%_libdir/libtunepimp.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Oct 31 2007 Christian Metzen <metzench@ccux-linux.de> 0.5.3-2
- rebuild against curl 7.17.1
* Sat Jul 14 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.5.3-1
- Version update
* Mon Dec 26 2005 Christian Metzen <metzench@ccux-linux.de> 0.4.0-2
- Redefined files list, corrected summary
* Sun Dec 25 2005 Karsten Brockmann <arcam@ccux-linux.de> 0.4.0-1
- Initial Release
